$(document).ready(function(){
	load(1);
});

function load(page){
	var q= $("#q").val();
	var marca= $("#marca").val();
	$("#loader").fadeIn('slow');
	$.ajax({
		url:'./php_marca/tabla_marca.php?action=ajax&page='+page+'&q='+q+'&marca='+marca,
		 beforeSend: function(objeto){
		 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
	  },
		success:function(data){
			$(".outer_div").html(data).fadeIn('slow');
			$('#loader').html('');
			
		}
	})
}

$( "#add_name" ).submit(function( event ) 
{
    $('#submit').attr("disabled", true);
    var formData = new FormData($("#add_name")[0]);
    var ruta = "php_marca/registrar_marca.php";
    $.ajax({
        type: "POST",
        url: ruta,
        data: formData,
        contentType: false,
        processData: false, 
        beforeSend: function(objeto){
            $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados").html(datos);
        $('#submit').attr("disabled", false);
        load(1);
    }
});
event.preventDefault();
})